package com.zanxiang.sdk.domain.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @author : lingfeng
 * @time : 2023-01-05
 * @description : 支付参数
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PayParamVO {

    /**
     * 订单id
     */
    private String orderId;

    /**
     * 货物总价
     */
    private BigDecimal amount;

    /**
     * 描述
     */
    private String describe;

    /**
     * 下单支付参数
     */
    private String payParam;

}
